Update a cancellation policy
curl --request PATCH \
--url https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "cancellationpolicys",
"attributes": {
"conditions": [
{
"id": "<string>",
"period": 123,
"relative_fee": 123
}
],
"default_fee": 123,
"formatted_conditions": "<string>",
"created_at": "<string>",
"deleted_at": "<string>"
},
"links": {
"self": "<string>"
}
}
}
'import requests
url = "https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}"
payload = { "data": {
"id": "<string>",
"type": "cancellationpolicys",
"attributes": {
"conditions": [
{
"id": "<string>",
"period": 123,
"relative_fee": 123
}
],
"default_fee": 123,
"formatted_conditions": "<string>",
"created_at": "<string>",
"deleted_at": "<string>"
},
"links": { "self": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'cancellationpolicys',
attributes: {
conditions: [{id: '<string>', period: 123, relative_fee: 123}],
default_fee: 123,
formatted_conditions: '<string>',
created_at: '<string>',
deleted_at: '<string>'
},
links: {self: '<string>'}
}
})
};
fetch('https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'id' => '<string>',
'type' => 'cancellationpolicys',
'attributes' => [
'conditions' => [
[
'id' => '<string>',
'period' => 123,
'relative_fee' => 123
]
],
'default_fee' => 123,
'formatted_conditions' => '<string>',
'created_at' => '<string>',
'deleted_at' => '<string>'
],
'links' => [
'self' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}"
payload := strings.NewReader("{\n \"data\": {\n \"id\": \"<string>\",\n \"type\": \"cancellationpolicys\",\n \"attributes\": {\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"period\": 123,\n \"relative_fee\": 123\n }\n ],\n \"default_fee\": 123,\n \"formatted_conditions\": \"<string>\",\n \"created_at\": \"<string>\",\n \"deleted_at\": \"<string>\"\n },\n \"links\": {\n \"self\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"id\": \"<string>\",\n \"type\": \"cancellationpolicys\",\n \"attributes\": {\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"period\": 123,\n \"relative_fee\": 123\n }\n ],\n \"default_fee\": 123,\n \"formatted_conditions\": \"<string>\",\n \"created_at\": \"<string>\",\n \"deleted_at\": \"<string>\"\n },\n \"links\": {\n \"self\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"id\": \"<string>\",\n \"type\": \"cancellationpolicys\",\n \"attributes\": {\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"period\": 123,\n \"relative_fee\": 123\n }\n ],\n \"default_fee\": 123,\n \"formatted_conditions\": \"<string>\",\n \"created_at\": \"<string>\",\n \"deleted_at\": \"<string>\"\n },\n \"links\": {\n \"self\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "cancellationpolicys",
"attributes": {
"conditions": [
{
"id": "<string>",
"period": 123,
"relative_fee": 123
}
],
"default_fee": 123,
"formatted_conditions": "<string>",
"created_at": "<string>",
"deleted_at": "<string>"
},
"links": {
"self": "<string>"
}
}
}Content & Documents
Update a cancellation policy
PATCH
/
api
/
v1
/
cancellation-policies
/
{cancellation_policy_id}
Update a cancellation policy
curl --request PATCH \
--url https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "cancellationpolicys",
"attributes": {
"conditions": [
{
"id": "<string>",
"period": 123,
"relative_fee": 123
}
],
"default_fee": 123,
"formatted_conditions": "<string>",
"created_at": "<string>",
"deleted_at": "<string>"
},
"links": {
"self": "<string>"
}
}
}
'import requests
url = "https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}"
payload = { "data": {
"id": "<string>",
"type": "cancellationpolicys",
"attributes": {
"conditions": [
{
"id": "<string>",
"period": 123,
"relative_fee": 123
}
],
"default_fee": 123,
"formatted_conditions": "<string>",
"created_at": "<string>",
"deleted_at": "<string>"
},
"links": { "self": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'cancellationpolicys',
attributes: {
conditions: [{id: '<string>', period: 123, relative_fee: 123}],
default_fee: 123,
formatted_conditions: '<string>',
created_at: '<string>',
deleted_at: '<string>'
},
links: {self: '<string>'}
}
})
};
fetch('https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'id' => '<string>',
'type' => 'cancellationpolicys',
'attributes' => [
'conditions' => [
[
'id' => '<string>',
'period' => 123,
'relative_fee' => 123
]
],
'default_fee' => 123,
'formatted_conditions' => '<string>',
'created_at' => '<string>',
'deleted_at' => '<string>'
],
'links' => [
'self' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}"
payload := strings.NewReader("{\n \"data\": {\n \"id\": \"<string>\",\n \"type\": \"cancellationpolicys\",\n \"attributes\": {\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"period\": 123,\n \"relative_fee\": 123\n }\n ],\n \"default_fee\": 123,\n \"formatted_conditions\": \"<string>\",\n \"created_at\": \"<string>\",\n \"deleted_at\": \"<string>\"\n },\n \"links\": {\n \"self\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"id\": \"<string>\",\n \"type\": \"cancellationpolicys\",\n \"attributes\": {\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"period\": 123,\n \"relative_fee\": 123\n }\n ],\n \"default_fee\": 123,\n \"formatted_conditions\": \"<string>\",\n \"created_at\": \"<string>\",\n \"deleted_at\": \"<string>\"\n },\n \"links\": {\n \"self\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://b.anny.co/api/v1/cancellation-policies/{cancellation_policy_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"id\": \"<string>\",\n \"type\": \"cancellationpolicys\",\n \"attributes\": {\n \"conditions\": [\n {\n \"id\": \"<string>\",\n \"period\": 123,\n \"relative_fee\": 123\n }\n ],\n \"default_fee\": 123,\n \"formatted_conditions\": \"<string>\",\n \"created_at\": \"<string>\",\n \"deleted_at\": \"<string>\"\n },\n \"links\": {\n \"self\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "cancellationpolicys",
"attributes": {
"conditions": [
{
"id": "<string>",
"period": 123,
"relative_fee": 123
}
],
"default_fee": 123,
"formatted_conditions": "<string>",
"created_at": "<string>",
"deleted_at": "<string>"
},
"links": {
"self": "<string>"
}
}
}Autorisierungen
Body
application/vnd.api+json